net.sf.okapi.common.annotation

## Class XLIFFTool

- java.lang.Object
- - net.sf.okapi.common.annotation.XLIFFTool

-     public class XLIFFTool
      extends java.lang.Object

  Annotation representing the %lt;tool> element within an XLIFF %lt;file>%lt;header>. The set of tool elements should be contained within the XLIFFToolAnnotation on a StartSubDocument Event.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XLIFFTool(java.lang.String toolId, java.lang.String toolName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSkeletonContent(java.lang.String text)`
    `java.lang.String` | `getCompany()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getSkel()`
    `java.lang.String` | `getVersion()`
    `void` | `setCompany(java.lang.String toolCompany)`
    `void` | `setVersion(java.lang.String toolVersion)`
    `java.lang.String` | `toXML()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XLIFFTool

          public XLIFFTool(java.lang.String toolId,
                           java.lang.String toolName)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### getName

          public java.lang.String getName()

    - #### setVersion

          public void setVersion(java.lang.String toolVersion)

    - #### setCompany

          public void setCompany(java.lang.String toolCompany)

    - #### addSkeletonContent

          public void addSkeletonContent(java.lang.String text)

    - #### getSkel

          public java.lang.String getSkel()

    - #### getVersion

          public java.lang.String getVersion()

    - #### getCompany

          public java.lang.String getCompany()

    - #### toXML

          public java.lang.String toXML()